Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 661418 - media-sound/qtractor-0.8.5 : /.../qobjectdefs.h:622:37: error: incomplete type QAction used in nested name specifier
Summary: media-sound/qtractor-0.8.5 : /.../qobjectdefs.h:622:37: error: incomplete typ...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Professional Audio Applications Maintainers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: qt-5.11
  Show dependency tree
 
Reported: 2018-07-17 17:00 UTC by Toralf Förster
Modified: 2018-07-22 11:21 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,17.12 KB, text/plain)
2018-07-17 17:00 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,339.70 KB, text/plain)
2018-07-17 17:00 UTC, Toralf Förster
Details
environment (environment,93.75 KB, text/plain)
2018-07-17 17:00 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,14.87 KB, application/x-bzip)
2018-07-17 17:00 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,8.19 KB, application/x-bzip)
2018-07-17 17:00 UTC, Toralf Förster
Details
media-sound:qtractor-0.8.5:20180717-145800.log (media-sound:qtractor-0.8.5:20180717-145800.log,62.55 KB, text/plain)
2018-07-17 17:01 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,26.79 KB, application/x-bzip)
2018-07-17 17:01 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2018-07-17 17:00:45 UTC
/usr/include/qt5/QtCore/qobject.h:502:5:   required from ‘T qobject_cast(QObject*) [with T = QAction*]’
qtractorMeter.cpp:431:42:   required from here
/usr/include/qt5/QtCore/qobjectdefs.h:622:37: error: incomplete type ‘QAction’ used in nested name specifier
         enum { Value =  sizeof(test(&Object::qt_metacall)) == sizeof(int) };
                                     ^~~~~~~
In file included from /usr/include/qt5/QtGui/qtguiglobal.h:43:0,

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.0-desktop-plasma_20180706-210011

  -------------------------------------------------------------------

gcc-config -l:
 [1] x86_64-pc-linux-gnu-7.3.0 *

Available Python interpreters, in order of preference:
  [1]   python3.5
  [2]   python3.7 (fallback)
  [3]   python2.7 (fallback)
  [4]   jython2.7 (fallback)
Available Ruby profiles:
  [1]   ruby23 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.8.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm

emerge -qpv media-sound/qtractor
[ebuild  N    ] media-sound/qtractor-0.8.5  USE="mad vorbis zlib -debug -dssi -libsamplerate -osc -rubberband" CPU_FLAGS_X86="sse"
Comment 1 Toralf Förster gentoo-dev 2018-07-17 17:00:47 UTC
Created attachment 539878 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2018-07-17 17:00:50 UTC
Created attachment 539880 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2018-07-17 17:00:53 UTC
Created attachment 539882 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2018-07-17 17:00:55 UTC
Created attachment 539884 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2018-07-17 17:00:58 UTC
Created attachment 539886 [details]
logs.tbz2
Comment 6 Toralf Förster gentoo-dev 2018-07-17 17:01:00 UTC
Created attachment 539888 [details]
media-sound:qtractor-0.8.5:20180717-145800.log
Comment 7 Toralf Förster gentoo-dev 2018-07-17 17:01:03 UTC
Created attachment 539890 [details]
temp.tbz2
Comment 8 Larry the Git Cow gentoo-dev 2018-07-22 11:21:41 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c29a025c1a9e79ec984f00c7d174cb562a57a0df

commit c29a025c1a9e79ec984f00c7d174cb562a57a0df
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2018-07-21 18:44:23 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2018-07-22 11:21:16 +0000

    media-sound/qtractor: 0.9.1 version bump, fix build with Qt 5.11
    
    Closes: https://bugs.gentoo.org/661418
    Package-Manager: Portage-2.3.43, Repoman-2.3.10

 media-sound/qtractor/Manifest                      |  1 +
 .../qtractor/files/qtractor-0.9.1-qt-5.11.patch    | 38 +++++++++++++
 media-sound/qtractor/qtractor-0.9.1.ebuild         | 64 ++++++++++++++++++++++
 3 files changed, 103 insertions(+)